cURL
curl --request PATCH \ --url https://cloud.onyx.app/api/persona/{persona_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "system_prompt": "<string>", "task_prompt": "<string>", "datetime_aware": true, "document_set_ids": [ 123 ], "num_chunks": 123, "include_citations": true, "is_public": true, "recency_bias": "favor_recent", "prompt_ids": [ 123 ], "llm_filter_extraction": true, "llm_relevance_filter": true, "llm_model_provider_override": "<string>", "llm_model_version_override": "<string>", "starter_messages": [ { "name": "<string>", "message": "<string>" } ], "users": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "groups": [ 123 ], "tool_ids": [ 123 ], "icon_color": "<string>", "icon_shape": 123, "remove_image": true, "uploaded_image_id": "<string>", "search_start_date": "2023-11-07T05:31:56Z", "label_ids": [ 123 ], "is_default_persona": false, "display_priority": 123, "user_file_ids": [ 123 ], "user_folder_ids": [ 123 ] } '
{ "id": 123, "name": "<string>", "description": "<string>", "is_public": true, "is_visible": true, "icon_shape": 123, "icon_color": "<string>", "uploaded_image_id": "<string>", "user_file_ids": [ 123 ], "user_folder_ids": [ 123 ], "display_priority": 123, "is_default_persona": true, "builtin_persona": true, "starter_messages": [ { "name": "<string>", "message": "<string>" } ], "tools": [ { "id": 123, "name": "<string>", "description": "<string>", "definition": {}, "display_name": "<string>", "in_code_tool_id": "<string>", "custom_headers": [ "<unknown>" ], "passthrough_auth": true } ], "labels": [ { "id": 123, "name": "<string>" } ], "owner": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>" }, "users": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>" } ], "groups": [ 123 ], "document_sets": [ { "id": 123, "name": "<string>", "description": "<string>", "cc_pair_summaries": [ { "id": 123, "name": "<string>", "source": "ingestion_api", "access_type": "public" } ], "is_up_to_date": true, "is_public": true, "users": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "groups": [ 123 ], "federated_connector_summaries": [ { "id": 123, "name": "<string>", "source": "federated_slack", "entities": {} } ] } ], "llm_model_provider_override": "<string>", "llm_model_version_override": "<string>", "num_chunks": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
favor_recent
base_decay
no_decay
auto
Show child attributes
Successful Response
ingestion_api
slack
web
google_drive
gmail
requesttracker
github
gitbook
gitlab
guru
bookstack
confluence
jira
slab
productboard
file
notion
zulip
linear
hubspot
document360
gong
google_sites
zendesk
loopio
dropbox
sharepoint
teams
salesforce
discourse
axero
clickup
mediawiki
wikipedia
asana
s3
r2
google_cloud_storage
oci_storage
xenforo
not_applicable
discord
freshdesk
fireflies
egnyte
airtable
highspot
imap
mock_connector
public
private
sync
federated_slack
"federated_slack"
Was this page helpful?